For the complete documentation index, see llms.txt. This page is also available as Markdown.

Complex Relations

Returns complex relations matching the given search criteria.

get

Returns complex relations matching the given search criteria. Only parameters that are specified in this request and have not null values are used for filtering. All other parameters are ignored. The returned complex relations satisfy all constraints that are specified in this search criteria. By default a result containing 1000 complex relations is returned.

Authorizations
AuthorizationstringRequired
Query parameters
offsetinteger · int32OptionalDeprecated

The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0. Cursor should be preferred over offset for better performance and stable results. It is forbidden to use both in the same request.

Default: 0
limitinteger · int32Optional

The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.

Default: 0
countLimitinteger · int32OptionalDeprecated

Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped. For cursor pagination this parameter is ignored and count is skipped.

Default: -1
cursorstringOptional

Cursor for the current page of results. To retrieve the first page with cursor pagination you need to pass this parameter with an empty value (must be non-null). For the next pages, the value must be taken from the response (nextCursor property).

assetIdstring · uuidOptional

The ID of the asset for which complex relations should be found.

typeIdstring · uuidOptional

The ID of the type of complex relations to search for. Deprecated in favour of 'typePublicIds'.

typePublicIdsstring[]Optional

The list of Public ID of the type of complex relations to search for.

Responses
200

OK - The request has succeeded.

application/json
totalinteger · int64Optional

The total number of results. -1 when cursor pagination is used.

Example: 1000
offsetinteger · int64Optional

The offset for the results. -1 when cursor pagination is used.

Example: 10
limitinteger · int64Optional

The maximum number of results to be returned.

Example: 100
nextCursorstringOptional

Cursor value to be passed in next request to retrieve next page of results. Not returned on last page or when offset pagination is used.

get/complexRelations

Adds new complex relation.

post

Adds new complex relation.

Authorizations
AuthorizationstringRequired
Body
idstring · uuidOptional

The ID of the new complex relation. Should be unique within all complex relations and assets.
It should have a format of universally unique identifier (UUID) and should not start with 00000000-0000-0000- which is a reserved prefix.

complexRelationTypeIdstring · uuidOptional

The ID of the type of the complex relation.

complexRelationTypePublicIdstringOptional

The public ID of the type of the complex relation.

Responses
201

Created - The request has been fulfilled and resulted in a new resource being created.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
post/complexRelations

Returns a ComplexRelation identified by given id.

get

Returns a complex relation identified by given id.

Authorizations
AuthorizationstringRequired
Path parameters
complexRelationIdstring · uuidRequired

the id of the complex relation.

Responses
200

OK - The request has succeeded.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
get/complexRelations/{complexRelationId}

Removes complex relation identified by given id.

delete

Removes complex relation identified by given id.

Authorizations
AuthorizationstringRequired
Path parameters
complexRelationIdstring · uuidRequired

the id of the complex relation to be removed.

Responses
204

No Content - The server has fulfilled the request but does not need to return an entity-body.

No content

delete/complexRelations/{complexRelationId}

No content

Change the complex relation with the information that is present in the request.

patch

Change the complex relation with the information that is present in the request. Only properties that are specified in this request and have not null values are updated. All other properties are ignored.

Authorizations
AuthorizationstringRequired
Path parameters
complexRelationIdstring · uuidRequired

the id of the complex relation to be modified.

Body
partialAttributesUpdatebooleanOptional

When partialAttributesUpdate is false, all existing attribute values are replaced by the provided ones. If no value is provided for an attribute type, then all corresponding values are removed.When partialAttributesUpdate is true, only the values for the attribute types provided in the request are replaced. If no value is provided for one of them, then the existing values are kept.The default parameter value is false.

Responses
200

OK - The request has succeeded.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
patch/complexRelations/{complexRelationId}

Export complex relations of the given type to CSV.

post

Export complex relations of the given type to CSV.

Authorizations
AuthorizationstringRequired
Body
complexRelationTypeIdstring · uuidRequired

The Id of the ComplexRelationType for which the export will be executed.

domainIdstring · uuidOptional

The Id of the Domain to filter on (optional).

storeAsAttachmentbooleanOptional

Sets if the export should be stored as an attachment (true) or not (false)
of the provided {@link #domainId}.

fileNamestringOptional

The name of the file. (optional) if not provided a name is generated.

includeHeaderRowbooleanOptional

Set if the file will include a header (true) or not (false)
Default value is false.

supportRoundtripbooleanOptional

Adds characteristics to support reimport (true) or not (false)
Default value is false.

removeFormattingbooleanOptional

Remove text formatting (true) or not (false)
Default value is false.

separatorstringOptional

The delimiter character used to separate entries.
If not provided default value ';' is used.

quotestringOptional

The delimiter character used for quoted entries.
If not provided default value '"' is used.

escapestringOptional

The delimiter character used to escape separator or quote character.
If not provided default value '\' is used.

Responses
default

default response

application/json

Represents a job. Job is a single atomic task that is to be performed asynchronously

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
typestringOptional

The type of the job.

Example: IMPORT
userIdstring · uuidOptional

The ID of the user that initiated this job.

visibilityinteger · int32Optional

The visibility of the job.

progressPercentagenumber · doubleOptional

The progress percentage of the job.

Example: 50
cancelablebooleanOptional

Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.

startDateinteger · int64Optional

The start date of the job.

Example: 1488016800
endDateinteger · int64Optional

The end date of the job.

Example: 1488021800
statestring · enumOptional

The state of the job.

Example: COMPLETEDPossible values:
resultstring · enumOptional

The result of the job.

Example: SUCCESSPossible values:
messagestringOptional

The message of the job.

Example: Import finished in 12s.
post/complexRelations/export/csv-job
default

default response

Export all complex relations of the given type to CSV as a String.

post

Export all complex relations of the given type to CSV as a String.

Authorizations
AuthorizationstringRequired
Body
complexRelationTypeIdstring · uuidRequired

The Id of the ComplexRelationType for which the export will be executed.

domainIdstring · uuidOptional

The Id of the Domain to filter on (optional).

storeAsAttachmentbooleanOptional

Sets if the export should be stored as an attachment (true) or not (false)
of the provided {@link #domainId}.

fileNamestringOptional

The name of the file. (optional) if not provided a name is generated.

includeHeaderRowbooleanOptional

Set if the file will include a header (true) or not (false)
Default value is false.

supportRoundtripbooleanOptional

Adds characteristics to support reimport (true) or not (false)
Default value is false.

removeFormattingbooleanOptional

Remove text formatting (true) or not (false)
Default value is false.

separatorstringOptional

The delimiter character used to separate entries.
If not provided default value ';' is used.

quotestringOptional

The delimiter character used for quoted entries.
If not provided default value '"' is used.

escapestringOptional

The delimiter character used to escape separator or quote character.
If not provided default value '\' is used.

Responses
default

default response

application/json
stringOptional
post/complexRelations/export/csv
default

default response

Export all complex relations of the given type to a CSV file.

post

Export all complex relations of the given type to a CSV file.

Authorizations
AuthorizationstringRequired
Body
complexRelationTypeIdstring · uuidRequired

The Id of the ComplexRelationType for which the export will be executed.

domainIdstring · uuidOptional

The Id of the Domain to filter on (optional).

storeAsAttachmentbooleanOptional

Sets if the export should be stored as an attachment (true) or not (false)
of the provided {@link #domainId}.

fileNamestringOptional

The name of the file. (optional) if not provided a name is generated.

includeHeaderRowbooleanOptional

Set if the file will include a header (true) or not (false)
Default value is false.

supportRoundtripbooleanOptional

Adds characteristics to support reimport (true) or not (false)
Default value is false.

removeFormattingbooleanOptional

Remove text formatting (true) or not (false)
Default value is false.

separatorstringOptional

The delimiter character used to separate entries.
If not provided default value ';' is used.

quotestringOptional

The delimiter character used for quoted entries.
If not provided default value '"' is used.

escapestringOptional

The delimiter character used to escape separator or quote character.
If not provided default value '\' is used.

Responses
default

default response

application/json
idstring · uuidOptional

The ID of the file.

namestringOptional

The name of the file.

contentTypestringOptional

The MIME type of the file content.

sizeinteger · int64Optional

The size of the file.

extensionstringOptional

The extension of the file.

post/complexRelations/export/csv-file
default

default response

Export complex relations of the given type to Excel.

post

Export complex relations of the given type to Excel.

Authorizations
AuthorizationstringRequired
Body
complexRelationTypeIdstring · uuidRequired

The Id of the ComplexRelationType for which the export will be executed.

domainIdstring · uuidOptional

The Id of the Domain to filter on (optional).

storeAsAttachmentbooleanOptional

Sets if the export should be stored as an attachment (true) or not (false)
of the provided {@link #domainId}.

fileNamestringOptional

The name of the file. (optional) if not provided a name is generated.

includeHeaderRowbooleanOptional

Set if the file will include a header (true) or not (false)
Default value is false.

supportRoundtripbooleanOptional

Adds characteristics to support reimport (true) or not (false)
Default value is false.

removeFormattingbooleanOptional

Remove text formatting (true) or not (false)
Default value is false.

sheetNamestringOptional

The name of the sheet.

xlsxbooleanOptional

Set if the Excel file to export will be '.xlsx' file (true) or a '.xls' file (false)
Default value is (true).

Responses
default

default response

application/json

Represents a job. Job is a single atomic task that is to be performed asynchronously

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
typestringOptional

The type of the job.

Example: IMPORT
userIdstring · uuidOptional

The ID of the user that initiated this job.

visibilityinteger · int32Optional

The visibility of the job.

progressPercentagenumber · doubleOptional

The progress percentage of the job.

Example: 50
cancelablebooleanOptional

Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.

startDateinteger · int64Optional

The start date of the job.

Example: 1488016800
endDateinteger · int64Optional

The end date of the job.

Example: 1488021800
statestring · enumOptional

The state of the job.

Example: COMPLETEDPossible values:
resultstring · enumOptional

The result of the job.

Example: SUCCESSPossible values:
messagestringOptional

The message of the job.

Example: Import finished in 12s.
post/complexRelations/export/excel-job
default

default response

Export all complex relations of the given type to an Excel file.

post

Export all complex relations of the given type to an Excel file.

Authorizations
AuthorizationstringRequired
Body
complexRelationTypeIdstring · uuidRequired

The Id of the ComplexRelationType for which the export will be executed.

domainIdstring · uuidOptional

The Id of the Domain to filter on (optional).

storeAsAttachmentbooleanOptional

Sets if the export should be stored as an attachment (true) or not (false)
of the provided {@link #domainId}.

fileNamestringOptional

The name of the file. (optional) if not provided a name is generated.

includeHeaderRowbooleanOptional

Set if the file will include a header (true) or not (false)
Default value is false.

supportRoundtripbooleanOptional

Adds characteristics to support reimport (true) or not (false)
Default value is false.

removeFormattingbooleanOptional

Remove text formatting (true) or not (false)
Default value is false.

sheetNamestringOptional

The name of the sheet.

xlsxbooleanOptional

Set if the Excel file to export will be '.xlsx' file (true) or a '.xls' file (false)
Default value is (true).

Responses
default

default response

application/json
idstring · uuidOptional

The ID of the file.

namestringOptional

The name of the file.

contentTypestringOptional

The MIME type of the file content.

sizeinteger · int64Optional

The size of the file.

extensionstringOptional

The extension of the file.

post/complexRelations/export/excel-file
default

default response

Last updated

Was this helpful?